ICarbideBuildConfiguration (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.project.ICarbideBuildConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder.project
Interface ICarbideBuildConfiguration

All Superinterfaces:
  ISymbianBuildContext

    public interface ICarbideBuildConfiguration

extends ISymbianBuildContext

An ICarbideBuildConfiguration interface represents on buildable target for a project. A single Carbide.c++ project (ICarbideProjectInfo) contains 1 to N ICarbideBuildConfigation objects.

Field Summary
`static int` | `ERROR_PARSERS_ALL` Integer identifier to use all available parsers
`static int` | `ERROR_PARSERS_ARM_EKA1` Integer identifier for the set of parser to be used for building the ARMI, THUMB, and ARM4 platforms
`static int` | `ERROR_PARSERS_ARMVx` Integer identifier for the set of parser to be used for building the ARMVx platforms
`static int` | `ERROR_PARSERS_BLDMAKE_MAKE` Integer identifier for the set of parser to be used when calling bldmake bldfiles platform
`static int` | `ERROR_PARSERS_GCCE` Integer identifier for the set of parser to be used for building the GCCE platform
`static int` | `ERROR_PARSERS_ROM_BUILDER` Integer identifier for the set of parser to be used for building ROM images
`static int` | `ERROR_PARSERS_SIS_BUILDER` Integer identifier for the set of parser to be used for building with makesis, makekeys, and signsis
`static int` | `ERROR_PARSERS_WINSCW` Integer identifier for the set of parser to be used for building the WINSCW platform

Fields inherited from interface com.nokia.carbide.cpp.sdk.core.ISymbianBuildContext
`ARM4_PLATFORM, ARMI_PLATFORM, ARMV5_ABIV2_PLATFORM, ARMV5_PLATFORM, ARMV6_ABIV2_PLATFORM, ARMV6_PLATFORM, DEBUG_TARGET, EMULATOR_PLATFORM, GCCE_PLATFORM, RELEASE_TARGET, THUMB_PLATFORM`

Method Summary
`IBuildArgumentsInfo` | `getBuildArgumentsInfo()` Get the build arguments info.
`java.util.List<java.lang.String>` | `getBuiltinMacros()` Returns the list of all built in macros for this configuration Macros will be just a name, e.g.
`ICarbideProjectInfo` | `getCarbideProject()` Get the parent Carbide project of this configuration.
`IEnvironmentVarsInfo` | `getEnvironmentVarsInfo()` Get the environment variables for this configuration.
`int` | `getErrorParserId()` Get the id that specifies the array of error parsers to use for a given build platform.
`java.lang.String[]` | `getErrorParserList()` Get a list of error parser ID's
`IROMBuilderInfo` | `getROMBuildInfo()` Returns the ROM builder info from the ROM Builder tab.
`java.util.List<ISISBuilderInfo>` | `getSISBuilderInfoList()` Get the modifiable list of SIS builder info.
`boolean` | `saveConfiguration(boolean refreshFileSystem)` Writes this configuration to the .settings\file.

Methods inherited from interface com.nokia.carbide.cpp.sdk.core.ISymbianBuildContext
`getCompilerMacros, getCompilerPrefixFile, getDefaultDefFileDirectoryName, getDisplayString, getPlatformString, getPrefixFileIncludes, getSDK, getTargetString, getVariantHRHDefines`

Field Detail

### ERROR_PARSERS_WINSCW

    static final int ERROR_PARSERS_WINSCW

  Integer identifier for the set of parser to be used for building the WINSCW platform

  See Also:
    Constant Field Values

### ERROR_PARSERS_GCCE

    static final int ERROR_PARSERS_GCCE

  Integer identifier for the set of parser to be used for building the GCCE platform

  See Also:
    Constant Field Values

### ERROR_PARSERS_ARMVx

    static final int ERROR_PARSERS_ARMVx

  Integer identifier for the set of parser to be used for building the ARMVx platforms

  See Also:
    Constant Field Values

### ERROR_PARSERS_SIS_BUILDER

    static final int ERROR_PARSERS_SIS_BUILDER

  Integer identifier for the set of parser to be used for building with makesis, makekeys, and signsis

  See Also:
    Constant Field Values

### ERROR_PARSERS_ARM_EKA1

    static final int ERROR_PARSERS_ARM_EKA1

  Integer identifier for the set of parser to be used for building the ARMI, THUMB, and ARM4 platforms

  See Also:
    Constant Field Values

### ERROR_PARSERS_BLDMAKE_MAKE

    static final int ERROR_PARSERS_BLDMAKE_MAKE

  Integer identifier for the set of parser to be used when calling bldmake bldfiles platform

  See Also:
    Constant Field Values

### ERROR_PARSERS_ROM_BUILDER

    static final int ERROR_PARSERS_ROM_BUILDER

  Integer identifier for the set of parser to be used for building ROM images

  See Also:
    Constant Field Values

### ERROR_PARSERS_ALL

    static final int ERROR_PARSERS_ALL

  Integer identifier to use all available parsers

  See Also:
    Constant Field Values

Method Detail

### getErrorParserList

    java.lang.String[] getErrorParserList()

  Get a list of error parser ID's

  Returns:
    A full list of error parser IDs. Returns an empty array if none are specified

### saveConfiguration

    boolean saveConfiguration(boolean refreshFileSystem)

  Writes this configuration to the .settings\file. If the data does no exist it will be created. Otherwise the configuration data will be updated.

  Parameters:
    `refreshFileSystem` - - Set to true if eclipse needs to know about changes to the file system. Set to false if there's possibility thata the ressource tree is locked on the project (e.g. the project is being created)
  Returns:
    true on success, false otherwise.

### getSISBuilderInfoList

    java.util.List<ISISBuilderInfo> getSISBuilderInfoList()

  Get the modifiable list of SIS builder info. Contains pref settings used to generated SIS files from PKG files

  Returns:
    ISiSBuilderInfo list, which may be empty

### getBuildArgumentsInfo

    IBuildArgumentsInfo getBuildArgumentsInfo()

  Get the build arguments info. Contains pref settings from the Arguments tab.

  Returns:
    IBuildArgumentsInfo instance, never null

### getCarbideProject

    ICarbideProjectInfo getCarbideProject()

  Get the parent Carbide project of this configuration.

  Returns:
    ICarbideProjectInfo

### getEnvironmentVarsInfo

    IEnvironmentVarsInfo getEnvironmentVarsInfo()

  Get the environment variables for this configuration.

  Returns:
    IEnvironmentVarsInfo object.

### getErrorParserId

    int getErrorParserId()

  Get the id that specifies the array of error parsers to use for a given build platform.

  Returns:
    The integer ID of the parser to be use.
  See Also:
    `CarbideCPPBuilder.getParserIds(int id)`

### getBuiltinMacros

    java.util.List<java.lang.String> getBuiltinMacros()

  Returns the list of all built in macros for this configuration

  Macros will be just a name, e.g. "_DEBUG", "__SYMBIAN32__", etc..

  Returns:
    a list of macros which may be empty.

### getROMBuildInfo

    IROMBuilderInfo getROMBuildInfo()

  Returns the ROM builder info from the ROM Builder tab.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD